export declare type CommitMessage = Readonly<{
    type?: string;
    message?: string;
    normalized?: string;
    original: string;
    children?: Array<ChildCommitMessage>;
    notes?: Array<string>;
}>;
export declare type ParentCommitMessage = CommitMessage & Required<Pick<CommitMessage, 'children' | 'notes'>>;
export declare type ChildCommitMessage = Required<Omit<CommitMessage, 'children' | 'notes'>>;
export declare type Commit = ParentCommitMessage & Readonly<{
    sha: string;
}>;
